# Class CIM_LogEntry
extends CIM_RecordForLog

The LogEntry object can describe the definitional format for entries in a Log, or can be used to instantiate the actual entries in the Log.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_RecordForLog
|
+--CIM_LogEntry

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The LogEntry object can describe the definitional format for entries in a Log, or can be used to instantiate the actual entries in the Log.
UMLPackagePath | string | CIM::System::Logs
Version | string | 2.27.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CreationTimeStamp | datetime |
Description | string | A LogEntry may include a timestamp for the entry.
InstanceID | string |

Description

string

Within the scope of the instantiating Namespace, InstanceID opaquely and uniquely identifies an instance of this class. In order to ensure uniqueness within the NameSpace, the value of InstanceID SHOULD be constructed using the following 'preferred' algorithm: <OrgID>:<LocalID> Where <OrgID> and <LocalID> are separated by a colon ':', and where <OrgID> MUST include a copyrighted, trademarked or otherwise unique name that is owned by the business entity creating/defining the InstanceID, or is a registered ID that is assigned to the business entity by a recognized global authority (This is similar to the <Schema Name>_<Class Name> structure of Schema class names.) In addition, to ensure uniqueness <OrgID> MUST NOT contain a colon (':'). When using this algorithm, the first colon to appear in InstanceID MUST appear between <OrgID> and <LocalID>. <LocalID> is chosen by the business entity and SHOULD not be re-used to identify different underlying (real-world) elements. If the above 'preferred' algorithm is not used, the defining entity MUST assure that the resultant InstanceID is not re-used across any InstanceIDs produced by this or other providers for this instance's NameSpace. For DMTF defined instances, the 'preferred' algorithm MUST be used with the <OrgID> set to 'CIM'.

Key | boolean | true
Override | string | InstanceID
LogInstanceID | string |
Description | string | The containing Log's InstanceID.
MaxLen | uint32 | 256
LogName | string |
Description | string | The containing Log's Name. This property is available for backwards continuity with CIM_LogRecord.
MaxLen | uint32 | 256
Message | string |
Description | string | The formatted message. This message is constructed by combining some or all of the dynamic elements specified in the MessageArguments property with the static elements uniquely identified by the MessageID in a message registry or other catalog associated with the OwningEntity.
ModelCorrespondence | string | CIM_LogEntry.MessageID, CIM_LogEntry.MessageArguments
MessageID | string |
Description | string | A string that uniquely identifies, within the scope of the OwningEntity, the format of the Message.
ModelCorrespondence | string | CIM_LogEntry.Message, CIM_LogEntry.MessageArguments
OwningEntity | string |
Description | string | A string that uniquely identifies the entity that owns the definition of the format of the Message described in this instance. OwningEntity MUST include a copyrighted, trademarked or otherwise unique name that is owned by the business entity or standards body defining the format.
RecordID | string |
Description | string | RecordID may be used to provide a representation of log entry ordering or pointers/handles for log entries.
MaxLen | uint32 | 256
MessageArguments | string[] |
Description | string | An array containing the dynamic content of the message. Each DYNAMIC_ELEMENT for the message referred to by the MessageID property shall be contained in MessageArguments whether the DYNAMIC_ELEMENT is included in the Message or not. In addition, the entries in MessageArguments need to be in the same order as the DYNAMIC_ELEMENTs.
ModelCorrespondence | string | CIM_LogEntry.Message, CIM_LogEntry.MessageID

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
Locale | string | CIM_RecordForLog
PerceivedSeverity | uint16 | CIM_RecordForLog
RecordData | string | CIM_RecordForLog
RecordFormat | string | CIM_RecordForLog

## Class Methods